SU(4)

NAME
su - scsi user-level driver

SYNOPSIS
device-driver su

DESCRIPTION
The su driver provides support for a process to address arbitrary locations on the scsi bus. Minor numbers are mapped 1:1 to bus:target:lun. The lowest three bits being LUN and the next three bits being TARGET. Remaining bits are the bus number.

A scsi adapter must also be separately configured into the system before this driver makes sense.

THE SU DEVICE IS NOT COMPLETED YET

KERNEL CONFIGURATION
There are no configuration parameters for the su option. It'e either there or it's not.

IOCTLS
The su driver has no ioctls of it's own but rather acts as a medium for the generic scsi(4) ioctls. These are described in sys/scsiio.h.

FILES
/dev/su[0-9]-[0-7]-[0-7]
    su{x}-{y}-{z} is the su device for the device at bus x, target y, lun z

DIAGNOSTICS
All scsi(4) debug ioctls work on su devices.

SEE ALSO
sd(4) st(4) cd(4) uk(4) scsi(4)

HISTORY
The su driver appeared in 386BSD 0.1